//
//  MediaKeys.swift
//  TuskerPreferences
//
//  Created by Shadowfacts on 4/13/24.
//

import Foundation

struct AttachmentBlurModeKey: PreferenceKey {
    static var defaultValue: AttachmentBlurMode { .useStatusSetting }
    
    static func didSet(in store: PreferenceStore, newValue: AttachmentBlurMode) {
        if newValue == .always {
            store.blurMediaBehindContentWarning = true
        } else if newValue == .never {
            store.blurMediaBehindContentWarning = false
        }
    }
}
